Subject: bug#54817: Outdated IBM XL Fortran shared library work around

From: Alex Ameen <[email-masked]>
Date: Sat, 9 Apr 2022 11:24:48 -0500

This sounds reasonable to me. Just to clarify, is this workaround still in
2.4.7?

On Sat, Apr 9, 2022, 10:02 AM William T Jones via Bug-libtool via Bug
reports for the GNU libtool shared library maintenance tool <
[email-masked]> wrote:

> Hello,
>
> Libtool 2.4.6 has an apparently outdated work around for the IBM XL
> Fortran compiler's inability to link shared libraries (see m4/libtool.m4
> lines 5208, 5237-5248).
>
> As comments in m4/libtool.m4 state, the problem is with IBM XL Fortran
> version 10.1 on PowerPC.  However, we are now using IBM XL Fortran
> version 16.1 on PPC (ORNL summit) and it does allow linking of shared
> objects with xlf via the same "-qmkshrobj" command line option used by
> xlc and xlC on lines 5208-5210 of m4/libtool.m4.
>
> To make matters worse, the workaround of using $LD to link shared
> libraries with Fortran objects does not easily work when linking mixed
> language object code into such a shared library (one needs to know IBM
> XL paths to libraries like libibmc++.so and libstdc++.so, for example).
> This is easily resolved when one links with `xlf -qmkshrobj ...`.
>
> It is suggested that this workaround check for compiler version or be
> deprecated.
>
> Resolution is appreciated,
>
>
> --
> =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
>
>      Bill Jones                                       [email-masked]
>      Mail Stop 128                     Computational AeroSciences Branch
>      15 Langley Boulevard                           Research Directorate
>      NASA Langley Research Center               Building 1268, Room 1044
>      Hampton, VA  23681-2199                       Phone +1 757 864-5318
>                                                      Fax +1 757 864-8816
>                                               http://fun3d.larc.nasa.gov
>
>
>
>
> _______________________________________________
> Bug-libtool mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-libtool
>